﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Text;

public partial class HTTPResponse : System.Web.UI.Page
{
    public void Page_Load(object sender, EventArgs e)
    {
        int iDataId = 0;
        try
        {
            if(Request.QueryString["dataid"].Contains("x"))
            {
                iDataId = Convert.ToInt32(Request.QueryString["dataid"].Substring(0, Request.QueryString["dataid"].IndexOf("x")));
            }
            else
            {
                iDataId = Convert.ToInt32(Request.QueryString["dataid"]);
            }
        }
        catch
        {
            return;
        }

        //Get xml configuration file from "datalayer"
        string sResponse = GetXMLString(iDataId);
        
        ////Save string to the hard disk for control.
        //System.IO.StreamWriter streamWriter = new System.IO.StreamWriter(@"c:\3dstack.xml");
        //streamWriter.Write(sResponse);
        //streamWriter.Close();

        //Write the XML to the HTTP output stream
        //=> back to the Cube Animation
        Response.Write(sResponse);  

    }

    /// <summary>
    /// This function provides to the Cube the requested XML configuration file as a string.
    /// </summary>
    /// <param name="iDataId"></param>
    public string GetXMLString(int iDataId)
    {
        //select dynamic data from datalayer here ...
        //e.g. DataLayer.GetData(iDataId)

        //-------------------------------------------------------------------------------------
        //Hardcoded sample !!!!
        //-------------------------------------------------------------------------------------

        //Cube
        int iCubeSpeed = 15;
        int iCubeZoom = 100;
        string sCubeColor = "#000000";
        int iCubeCenterLeft = 0;
        int iCubeCenterTop = 0;
        bool fCubeRandomImages = false;
        string sCubePreloader = "";

        //BackGround
        bool fBackGroundVisible = true;
        string sBackGroundPath = "images/background.jpg";
        int iBackGroundLeft = 0;
        int iBackGroundTop = 0;

        //Shadow
        bool fShadowVisible = true;
        int iShadowDistance = 0;
        int iShadowAngle = 90;
        string sShadowColor = "#ffffff";
        int iShadowAlpha = 100;
        int iShadowBlur = 40;

        //Reflection
        bool fReflectionVisible = true;
        int iReflectionAlpha = 50;
        int iReflectionHeight = 50;
        int iReflectionDistance = 0;

        //sEffect
        string sEffectCubeEntry = "flyleft";
        string sEffectCubeExit = "flyleft";
        string sEffectDetailImageEntry = "flyleft";
        string sEffectDetailImageExit = "flyleft";
        string sEffectContent1Entry = "flyleft";
        string sEffectContent1Exit = "flyleft";
        string sEffectContent2Entry = "flyleft";
        string sEffectContent2Exit = "flyleft";
        string sEffectsTime = "0.5";
        
        //DetailPage
        bool    fDetailPageEnabled = true;

        //DetailImage
        int     iDetailImageZoom = 100;
        int     iDetailImageLeft = 20;
        int     iDetailImageTop = 100;

        //Content1 (dynamic)
        bool    fContent1HTML = false;
        bool    fContent1AntiAliasing = false;
        string  sContent1Align = "left";
        bool    fContent1Bold = false;
        bool    fContent1Italic = false;
        string  sContent1Font = "Verdana";
        string  sContent1FontColor = "#ffffff";
        int     iContent1FontSize = 11;
        int     iContent1Leading = 0;
        bool    fContent1Underline = false;
        int     iContent1Left = 10;
        int     iContent1Top = 10;
        int     iContent1Width = 130;
        int     iContent1Height = 50;
        bool    fContent1Border = false;
        string  sContent1BorderColor = "";
        string  sContent1BgColor = "";
        bool    fContent1Selectable = false;
        int     iContent1Alpha = 100;

        //Content2 (dynamic)
        bool    fContent2HTML = false;
        bool    fContent2AntiAliasing = false;
        string  sContent2Align = "left";
        bool    fContent2Bold = false;
        bool    fContent2Italic = false;
        string  sContent2Font = "Verdana";
        string  sContent2FontColor = "#ffffff";
        int     iContent2FontSize = 11;
        int     iContent2Leading = 0;
        bool    fContent2Underline = false;
        int     iContent2Left = 150;
        int     iContent2Top = 10;
        int     iContent2Width = 130;
        int     iContent2Height = 50;
        bool    fContent2Border = false;
        string  sContent2BorderColor = "";
        string  sContent2BgColor = "";
        bool    fContent2Selectable = false;
        int     iContent2Alpha = 100;

        //Content3 (static)
        string  sContent3 = "Static 1-Lorem ipsum no diam scripta nostrum cum";
        bool    fContent3HTML = false;
        bool    fContent3AntiAliasing = false;
        string  sContent3Align = "left";
        bool    fContent3Bold = false;
        bool    fContent3Italic = false;
        string  sContent3Font = "Verdana";
        string  sContent3FontColor = "#ffffff";
        int     iContent3FontSize = 11;
        int     iContent3Leading = 0;
        bool    fContent3Underline = false;
        int     iContent3Left = 290;
        int     iContent3Top = 10;
        int     iContent3Width = 140;
        int     iContent3Height = 50;
        bool    fContent3TopMost = true;
        bool    fContent3Border = false;
        string  sContent3BorderColor = "";
        string  sContent3BgColor = "";
        bool    fContent3VisibleOnCubePage = true;
        bool    fContent3VisibleOnDetailPage = true;
        bool    fContent3Selectable = false;
        int     iContent3Alpha = 100;

        //Content4 (static)
        string  sContent4 = "Static 2-Lorem ipsum no diam scripta nostrum cum";
        bool    fContent4HTML = false;
        bool    fContent4AntiAliasing = false;
        string  sContent4Align = "left";
        bool    fContent4Bold = false;
        bool    fContent4Italic = false;
        string  sContent4Font = "Verdana";
        string  sContent4FontColor = "#ffffff";
        int     iContent4FontSize = 11;
        int     iContent4Leading = 0;
        bool    fContent4Underline = false;
        int     iContent4Left = 420;
        int     iContent4Top = 10;
        int     iContent4Width = 140;
        int     iContent4Height = 50;
        bool    fContent4TopMost = true;
        bool    fContent4Border = false;
        string  sContent4BorderColor = "#333333";
        string  sContent4BgColor = "";
        bool    fContent4VisibleOnCubePage = true;
        bool    fContent4VisibleOnDetailPage = true;
        bool    fContent4Selectable = false;
        int     iContent4Alpha = 100;


        StringBuilder oSB = new StringBuilder();
        oSB.Append(@"<?xml version=""1.0"" encoding=""utf-8"" ?>");
        oSB.Append(@"<DDDCube><Images ");

        oSB.Append(@"CubeSpeed=""");            oSB.Append(iCubeSpeed.ToString());          oSB.Append(@""" ");
        oSB.Append(@"CubeZoom=""");             oSB.Append(iCubeZoom.ToString());           oSB.Append(@""" ");
        oSB.Append(@"CubeColor=""");            oSB.Append(sCubeColor.ToString());          oSB.Append(@""" ");
        oSB.Append(@"CubeCenterLeft=""");       oSB.Append(iCubeCenterLeft.ToString());     oSB.Append(@""" ");
        oSB.Append(@"CubeCenterTop=""");        oSB.Append(iCubeCenterTop.ToString());      oSB.Append(@""" ");
        oSB.Append(@"CubeRandomImages=""");     oSB.Append(fCubeRandomImages.ToString());   oSB.Append(@""" ");
        oSB.Append(@"CubePreloader=""");        oSB.Append(sCubePreloader.ToString());      oSB.Append(@""" ");

        oSB.Append(@"BackGroundVisible=""");    oSB.Append(fBackGroundVisible.ToString());  oSB.Append(@""" ");
        oSB.Append(@"BackGroundPath=""");       oSB.Append(sBackGroundPath.ToString());     oSB.Append(@""" ");
        oSB.Append(@"BackGroundTop=""");        oSB.Append(iBackGroundTop.ToString());      oSB.Append(@""" ");
        oSB.Append(@"BackGroundLeft=""");       oSB.Append(iBackGroundLeft.ToString());     oSB.Append(@""" ");

        oSB.Append(@"ShadowVisible=""");        oSB.Append(fShadowVisible.ToString());      oSB.Append(@""" ");
        oSB.Append(@"ShadowDistance=""");       oSB.Append(iShadowDistance.ToString());     oSB.Append(@""" ");
        oSB.Append(@"ShadowAngle=""");          oSB.Append(iShadowAngle.ToString());        oSB.Append(@""" ");
        oSB.Append(@"ShadowColor =""");         oSB.Append(sShadowColor.ToString());        oSB.Append(@""" ");
        oSB.Append(@"ShadowAlpha =""");         oSB.Append(iShadowAlpha.ToString());        oSB.Append(@""" ");
        oSB.Append(@"ShadowBlur =""");          oSB.Append(iShadowBlur.ToString());         oSB.Append(@""" ");

        oSB.Append(@"ReflectionVisible=""");    oSB.Append(fReflectionVisible.ToString());  oSB.Append(@""" ");
        oSB.Append(@"ReflectionAlpha=""");      oSB.Append(iReflectionAlpha.ToString());    oSB.Append(@""" ");
        oSB.Append(@"ReflectionHeight=""");     oSB.Append(iReflectionHeight.ToString());   oSB.Append(@""" ");
        oSB.Append(@"ReflectionDistance=""");   oSB.Append(iReflectionDistance.ToString()); oSB.Append(@""" ");

        oSB.Append(@"EffectCubeEntry=""");      oSB.Append(sEffectCubeEntry);               oSB.Append(@""" ");
        oSB.Append(@"EffectCubeExit=""");       oSB.Append(sEffectCubeExit);                oSB.Append(@""" ");
        oSB.Append(@"EffectDetailImageEntry=""");   oSB.Append(sEffectDetailImageEntry);        oSB.Append(@""" ");
        oSB.Append(@"EffectDetailImageExit=""");    oSB.Append(sEffectDetailImageExit);         oSB.Append(@""" ");
        oSB.Append(@"EffectContent1Entry=""");  oSB.Append(sEffectContent1Entry);           oSB.Append(@""" ");
        oSB.Append(@"EffectContent1Exit=""");   oSB.Append(sEffectContent1Exit);            oSB.Append(@""" ");
        oSB.Append(@"EffectContent2Entry=""");  oSB.Append(sEffectContent2Entry);           oSB.Append(@""" ");
        oSB.Append(@"EffectContent2Exit=""");   oSB.Append(sEffectContent2Exit);            oSB.Append(@""" ");
        oSB.Append(@"EffectsTime=""");          oSB.Append(sEffectsTime);                   oSB.Append(@""" ");

        oSB.Append(@"DetailPageEnabled=""");    oSB.Append(fDetailPageEnabled);             oSB.Append(@""" ");

        oSB.Append(@"DetailImageZoom=""");      oSB.Append(iDetailImageZoom);               oSB.Append(@""" ");
        oSB.Append(@"DetailImageLeft=""");      oSB.Append(iDetailImageLeft);               oSB.Append(@""" ");
        oSB.Append(@"DetailImageTop=""");       oSB.Append(iDetailImageTop);                oSB.Append(@""" ");

        oSB.Append(@"Content1HTML=""");         oSB.Append(fContent1HTML.ToString());       oSB.Append(@""" ");
        oSB.Append(@"Content1AntiAliasing="""); oSB.Append(fContent1AntiAliasing.ToString());   oSB.Append(@""" ");
        oSB.Append(@"Content1Align=""");        oSB.Append(sContent1Align);                 oSB.Append(@""" ");
        oSB.Append(@"Content1Bold=""");         oSB.Append(fContent1Bold.ToString());       oSB.Append(@""" ");
        oSB.Append(@"Content1Italic=""");       oSB.Append(fContent1Italic.ToString());     oSB.Append(@""" ");
        oSB.Append(@"Content1Font=""");         oSB.Append(sContent1Font.ToString());       oSB.Append(@""" ");
        oSB.Append(@"Content1FontColor=""");    oSB.Append(sContent1FontColor.ToString());  oSB.Append(@""" ");
        oSB.Append(@"Content1FontSize=""");     oSB.Append(iContent1FontSize.ToString());   oSB.Append(@""" ");
        oSB.Append(@"Content1Leading=""");      oSB.Append(iContent1Leading.ToString());    oSB.Append(@""" ");
        oSB.Append(@"Content1Left=""");         oSB.Append(iContent1Left.ToString());       oSB.Append(@""" ");
        oSB.Append(@"Content1Top=""");          oSB.Append(iContent1Top.ToString());        oSB.Append(@""" ");
        oSB.Append(@"Content1Underline=""");    oSB.Append(fContent1Underline.ToString());  oSB.Append(@""" ");
        oSB.Append(@"Content1Height=""");       oSB.Append(iContent1Height.ToString());     oSB.Append(@""" ");
        oSB.Append(@"Content1Width=""");        oSB.Append(iContent1Width.ToString());      oSB.Append(@""" ");
        oSB.Append(@"Content1Border=""");       oSB.Append(fContent1Border.ToString());     oSB.Append(@""" ");
        oSB.Append(@"Content1BorderColor=""");  oSB.Append(sContent1BorderColor.ToString());    oSB.Append(@""" ");
        oSB.Append(@"Content1BgColor=""");      oSB.Append(sContent1BgColor.ToString());    oSB.Append(@""" ");
        oSB.Append(@"Content1Selectable=""");   oSB.Append(fContent1Selectable.ToString()); oSB.Append(@""" ");
        oSB.Append(@"Content1Alpha=""");        oSB.Append(iContent1Alpha.ToString());      oSB.Append(@""" ");

        oSB.Append(@"Content2HTML=""");         oSB.Append(fContent2HTML.ToString());       oSB.Append(@""" ");
        oSB.Append(@"Content2AntiAliasing="""); oSB.Append(fContent2AntiAliasing.ToString());   oSB.Append(@""" ");
        oSB.Append(@"Content2Align=""");        oSB.Append(sContent2Align);                 oSB.Append(@""" ");
        oSB.Append(@"Content2Bold=""");         oSB.Append(fContent2Bold.ToString());       oSB.Append(@""" ");
        oSB.Append(@"Content2Italic=""");       oSB.Append(fContent2Italic.ToString());     oSB.Append(@""" ");
        oSB.Append(@"Content2Font=""");         oSB.Append(sContent2Font.ToString());       oSB.Append(@""" ");
        oSB.Append(@"Content2FontColor=""");    oSB.Append(sContent2FontColor.ToString());  oSB.Append(@""" ");
        oSB.Append(@"Content2FontSize=""");     oSB.Append(iContent2FontSize.ToString());   oSB.Append(@""" ");
        oSB.Append(@"Content2Leading=""");      oSB.Append(iContent2Leading.ToString());    oSB.Append(@""" ");
        oSB.Append(@"Content2Left=""");         oSB.Append(iContent2Left.ToString());       oSB.Append(@""" ");
        oSB.Append(@"Content2Top=""");          oSB.Append(iContent2Top.ToString());        oSB.Append(@""" ");
        oSB.Append(@"Content2Underline=""");    oSB.Append(fContent2Underline.ToString());  oSB.Append(@""" ");
        oSB.Append(@"Content2Height=""");       oSB.Append(iContent2Height.ToString());     oSB.Append(@""" ");
        oSB.Append(@"Content2Width=""");        oSB.Append(iContent2Width.ToString());      oSB.Append(@""" ");
        oSB.Append(@"Content2Border=""");       oSB.Append(fContent2Border.ToString());     oSB.Append(@""" ");
        oSB.Append(@"Content2BorderColor=""");  oSB.Append(sContent2BorderColor.ToString());    oSB.Append(@""" ");
        oSB.Append(@"Content2BgColor=""");      oSB.Append(sContent2BgColor.ToString());    oSB.Append(@""" ");
        oSB.Append(@"Content2Selectable=""");   oSB.Append(fContent2Selectable.ToString()); oSB.Append(@""" ");
        oSB.Append(@"Content2Alpha=""");        oSB.Append(iContent2Alpha.ToString());      oSB.Append(@""" ");

        oSB.Append(@">");
      
        oSB.Append(@"<Image>");
        oSB.Append(@"<ImagePath><![CDATA[images/img01.jpg]]></ImagePath>");
        oSB.Append(@"<ImageLink><![CDATA[]]></ImageLink>");
        oSB.Append(@"<ImageLinkTarget><![CDATA[_blank]]></ImageLinkTarget>");
        oSB.Append(@"<ToolTip><![CDATA[Tooltip - Click image!]]></ToolTip>");
        oSB.Append(@"<Content1><![CDATA[Content1 (dynamic)  Click image to return!]]></Content1>");
        oSB.Append(@"<Content2><![CDATA[Content2 (dynamic)]]></Content2>");
        oSB.Append(@"<JSFunction><![CDATA[]]></JSFunction>");
        oSB.Append(@"</Image>");

        oSB.Append(@"<Image>");
        oSB.Append(@"<ImagePath><![CDATA[images/img02.jpg]]></ImagePath>");
        oSB.Append(@"<ImageLink><![CDATA[]]></ImageLink>");
        oSB.Append(@"<ImageLinkTarget><![CDATA[_blank]]></ImageLinkTarget>");
        oSB.Append(@"<ToolTip><![CDATA[Tooltip - Click image!]]></ToolTip>");
        oSB.Append(@"<Content1><![CDATA[Content1 (dynamic)  Click image to return!]]></Content1>");
        oSB.Append(@"<Content2><![CDATA[Content2 (dynamic)]]></Content2>");
        oSB.Append(@"<JSFunction><![CDATA[]]></JSFunction>");
        oSB.Append(@"</Image>");

        oSB.Append(@"<Image>");
        oSB.Append(@"<ImagePath><![CDATA[images/img03.jpg]]></ImagePath>");
        oSB.Append(@"<ImageLink><![CDATA[]]></ImageLink>");
        oSB.Append(@"<ImageLinkTarget><![CDATA[_blank]]></ImageLinkTarget>");
        oSB.Append(@"<ToolTip><![CDATA[Tooltip - Click image!]]></ToolTip>");
        oSB.Append(@"<Content1><![CDATA[Content1 (dynamic)  Click image to return!]]></Content1>");
        oSB.Append(@"<Content2><![CDATA[Content2 (dynamic)]]></Content2>");
        oSB.Append(@"<JSFunction><![CDATA[]]></JSFunction>");
        oSB.Append(@"</Image>");

        oSB.Append(@"<Image>");
        oSB.Append(@"<ImagePath><![CDATA[images/img04.jpg]]></ImagePath>");
        oSB.Append(@"<ImageLink><![CDATA[]]></ImageLink>");
        oSB.Append(@"<ImageLinkTarget><![CDATA[_blank]]></ImageLinkTarget>");
        oSB.Append(@"<ToolTip><![CDATA[Tooltip - Click image!]]></ToolTip>");
        oSB.Append(@"<Content1><![CDATA[Content1 (dynamic)  Click image to return!]]></Content1>");
        oSB.Append(@"<Content2><![CDATA[Content2 (dynamic)]]></Content2>");
        oSB.Append(@"<JSFunction><![CDATA[]]></JSFunction>");
        oSB.Append(@"</Image>");

        oSB.Append(@"<Image>");
        oSB.Append(@"<ImagePath><![CDATA[images/img05.jpg]]></ImagePath>");
        oSB.Append(@"<ImageLink><![CDATA[]]></ImageLink>");
        oSB.Append(@"<ImageLinkTarget><![CDATA[_blank]]></ImageLinkTarget>");
        oSB.Append(@"<ToolTip><![CDATA[Tooltip - Click image!]]></ToolTip>");
        oSB.Append(@"<Content1><![CDATA[Content1 (dynamic)  Click image to return!]]></Content1>");
        oSB.Append(@"<Content2><![CDATA[Content2 (dynamic)]]></Content2>");
        oSB.Append(@"<JSFunction><![CDATA[]]></JSFunction>");
        oSB.Append(@"</Image>");

        oSB.Append(@"<Image>");
        oSB.Append(@"<ImagePath><![CDATA[images/img06.jpg]]></ImagePath>");
        oSB.Append(@"<ImageLink><![CDATA[]]></ImageLink>");
        oSB.Append(@"<ImageLinkTarget><![CDATA[_blank]]></ImageLinkTarget>");
        oSB.Append(@"<ToolTip><![CDATA[Tooltip - Click image!]]></ToolTip>");
        oSB.Append(@"<Content1><![CDATA[Content1 (dynamic)  Click image to return!]]></Content1>");
        oSB.Append(@"<Content2><![CDATA[Content2 (dynamic)]]></Content2>");
        oSB.Append(@"<JSFunction><![CDATA[]]></JSFunction>");
        oSB.Append(@"</Image>");

        oSB.Append(@"</Images>");

        oSB.Append(@"<StaticContents>");
        oSB.Append(@"<StaticContent ");
        oSB.Append(@"HTML=""");             oSB.Append(fContent3HTML.ToString());           oSB.Append(@""" ");
        oSB.Append(@"AntiAliasing=""");     oSB.Append(fContent3AntiAliasing.ToString());   oSB.Append(@""" ");
        oSB.Append(@"Align=""");            oSB.Append(sContent3Align);                     oSB.Append(@""" ");
        oSB.Append(@"Bold=""");             oSB.Append(fContent3Bold.ToString());           oSB.Append(@""" ");
        oSB.Append(@"Italic=""");           oSB.Append(fContent3Italic.ToString());         oSB.Append(@""" ");
        oSB.Append(@"Font=""");             oSB.Append(sContent3Font.ToString());           oSB.Append(@""" ");
        oSB.Append(@"FontColor=""");        oSB.Append(sContent3FontColor.ToString());      oSB.Append(@""" ");
        oSB.Append(@"FontSize=""");         oSB.Append(iContent3FontSize.ToString());       oSB.Append(@""" ");
        oSB.Append(@"Leading=""");          oSB.Append(iContent3Leading.ToString());        oSB.Append(@""" ");
        oSB.Append(@"Left=""");             oSB.Append(iContent3Left.ToString());           oSB.Append(@""" ");
        oSB.Append(@"Top=""");              oSB.Append(iContent3Top.ToString());            oSB.Append(@""" ");
        oSB.Append(@"Underline=""");        oSB.Append(fContent3Underline.ToString());      oSB.Append(@""" ");
        oSB.Append(@"BgColor=""");          oSB.Append(sContent3BgColor.ToString());        oSB.Append(@""" ");
        oSB.Append(@"Height=""");           oSB.Append(iContent3Height.ToString());         oSB.Append(@""" ");
        oSB.Append(@"Width=""");            oSB.Append(iContent3Width.ToString());          oSB.Append(@""" ");
        oSB.Append(@"TopMost=""");          oSB.Append(fContent3TopMost.ToString());        oSB.Append(@""" ");
        oSB.Append(@"Border=""");           oSB.Append(fContent3Border.ToString());         oSB.Append(@""" ");
        oSB.Append(@"BorderColor=""");      oSB.Append(sContent3BorderColor.ToString());    oSB.Append(@""" ");
        oSB.Append(@"VisibleOnCubePage=""");    oSB.Append(fContent3VisibleOnCubePage.ToString());      oSB.Append(@""" ");
        oSB.Append(@"VisibleOnDetailPage=""");  oSB.Append(fContent3VisibleOnDetailPage.ToString());    oSB.Append(@""" ");
        oSB.Append(@"Selectable=""");       oSB.Append(fContent3Selectable.ToString());     oSB.Append(@""" ");
        oSB.Append(@"Alpha=""");            oSB.Append(iContent3Alpha.ToString());          oSB.Append(@""" ");
        oSB.Append(@">");
        oSB.Append(@"<Content><![CDATA[");  oSB.Append(sContent3.ToString());               oSB.Append(@"]]></Content>");
        oSB.Append(@"</StaticContent>");

        oSB.Append(@"<StaticContent ");
        oSB.Append(@"HTML=""");             oSB.Append(fContent4HTML.ToString());           oSB.Append(@""" ");
        oSB.Append(@"AntiAliasing=""");     oSB.Append(fContent4AntiAliasing.ToString());   oSB.Append(@""" ");
        oSB.Append(@"Align=""");            oSB.Append(sContent4Align);                     oSB.Append(@""" ");
        oSB.Append(@"Bold=""");             oSB.Append(fContent4Bold.ToString());           oSB.Append(@""" ");
        oSB.Append(@"Italic=""");           oSB.Append(fContent4Italic.ToString());         oSB.Append(@""" ");
        oSB.Append(@"Font=""");             oSB.Append(sContent4Font.ToString());           oSB.Append(@""" ");
        oSB.Append(@"FontColor=""");        oSB.Append(sContent4FontColor.ToString());      oSB.Append(@""" ");
        oSB.Append(@"FontSize=""");         oSB.Append(iContent4FontSize.ToString());       oSB.Append(@""" ");
        oSB.Append(@"Leading=""");          oSB.Append(iContent4Leading.ToString());        oSB.Append(@""" ");
        oSB.Append(@"Left=""");             oSB.Append(iContent4Left.ToString());           oSB.Append(@""" ");
        oSB.Append(@"Top=""");              oSB.Append(iContent4Top.ToString());            oSB.Append(@""" ");
        oSB.Append(@"Underline=""");        oSB.Append(fContent4Underline.ToString());      oSB.Append(@""" ");
        oSB.Append(@"BgColor=""");          oSB.Append(sContent4BgColor.ToString());        oSB.Append(@""" ");
        oSB.Append(@"Height=""");           oSB.Append(iContent4Height.ToString());         oSB.Append(@""" ");
        oSB.Append(@"Width=""");            oSB.Append(iContent4Width.ToString());          oSB.Append(@""" ");
        oSB.Append(@"TopMost=""");          oSB.Append(fContent4TopMost.ToString());        oSB.Append(@""" ");
        oSB.Append(@"Border=""");           oSB.Append(fContent4Border.ToString());         oSB.Append(@""" ");
        oSB.Append(@"BorderColor=""");      oSB.Append(sContent4BorderColor.ToString());    oSB.Append(@""" ");
        oSB.Append(@"VisibleOnCubePage=""");    oSB.Append(fContent4VisibleOnCubePage.ToString());  oSB.Append(@""" ");
        oSB.Append(@"VisibleOnDetailPage=""");  oSB.Append(fContent4VisibleOnDetailPage.ToString()); oSB.Append(@""" ");
        oSB.Append(@"Selectable=""");       oSB.Append(fContent4Selectable.ToString());     oSB.Append(@""" ");
        oSB.Append(@"Alpha=""");            oSB.Append(iContent4Alpha.ToString());          oSB.Append(@""" ");
        oSB.Append(@">");
        oSB.Append(@"<Content><![CDATA[");  oSB.Append(sContent4.ToString());           oSB.Append(@"]]></Content>");
        oSB.Append(@"</StaticContent>");
        oSB.Append(@"</StaticContents>");

        oSB.Append(@"</DDDCube>");

        //Return the XML Configuration File
        return oSB.ToString();
        
    }
}
